Attribute VB_Name = "DefineModule"
Option Explicit

Public Const OPTION_FILE = "vbmail.ini"

Public Id As String
Public Pass As String
Public Pop3Name As String
Public SmtpName As String
Public ApopFlag As Integer
Public MailAddress As String

Public Const HEADER_MAX = 8192
Public Const BODY_MAX = 32796
Public Const PATH_MAX = 256

Public Const SM_CXVSCROLL = 2
Public Const SM_CYCAPTION = 4
Public Const SM_CYMENU = 15
Public Const SM_CXFRAME = 32
Public Const SM_CYFRAME = 33
Public Const LVS_EX_FULLROWSELECT = &H20
Public Const LVM_FIRST = &H1000
Public Const LVM_GETEXTENDEDLISTVIEWSTYLE = LVM_FIRST + &H37
Public Const LVM_SETEXTENDEDLISTVIEWSTYLE = LVM_FIRST + &H36
Public Const LVM_GETCOLUMNWIDTH = LVM_FIRST + 29
Public Const LVM_SETCOLUMNWIDTH = LVM_FIRST + 30

Public Declare Function SendMessage Lib "user32" Alias "SendMessageA" (ByVal hwnd As Long, ByVal wMsg As Long, ByVal wParam As Long, lParam As Any) As Long
Public Declare Function GetSystemMetrics Lib "user32" (ByVal nIndex As Long) As Long
Public Declare Function GetPrivateProfileString Lib "kernel32" Alias "GetPrivateProfileStringA" (ByVal lpApplicationName As String, ByVal lpKeyName As Any, ByVal lpDefault As String, ByVal lpReturnedString As String, ByVal nSize As Long, ByVal lpFileName As String) As Long
Public Declare Function GetPrivateProfileInt Lib "kernel32" Alias "GetPrivateProfileIntA" (ByVal lpApplicationName As String, ByVal lpKeyName As String, ByVal nDefault As Long, ByVal lpFileName As String) As Long
Public Declare Function WritePrivateProfileString Lib "kernel32" Alias "WritePrivateProfileStringA" (ByVal lpApplicationName As String, ByVal lpKeyName As Any, ByVal lpString As Any, ByVal lpFileName As String) As Long

Public Function GetIniString(ByVal key As String, ByVal default As String) As String
    Dim s As String * 256
    GetPrivateProfileString "MAIL", key, default, s, 256, App.Path + "\" + OPTION_FILE
    If InStr(s, Chr(0)) > 0 Then
        GetIniString = Left(s, InStr(s, Chr(0)) - 1)
    Else
        GetIniString = s
    End If
End Function

Public Function GetIniInt(ByVal key As String, ByVal default As Long) As Integer
    GetIniInt = GetPrivateProfileInt("MAIL", key, default, App.Path + "\" + OPTION_FILE)
End Function

Public Sub SetIniString(ByVal key As String, ByVal s As String)
    WritePrivateProfileString "MAIL", key, s, App.Path + "\" + OPTION_FILE
End Sub

Public Sub SetIniInt(ByVal key As String, ByVal data As Integer)
    Dim s As String
    s = Str(data)
    WritePrivateProfileString "MAIL", key, s, App.Path + "\" + OPTION_FILE
End Sub


