// vc6imap4Dlg.h : wb_[ t@C
//

#if !defined(AFX_VC6IMAP4DLG_H__5A44A540_A30E_4CA9_A829_A480420E0969__INCLUDED_)
#define AFX_VC6IMAP4DLG_H__5A44A540_A30E_4CA9_A829_A480420E0969__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include <winsock.h>

#include "TreeEx.h"
#include "splitter.h"
#include "panel.h"

/////////////////////////////////////////////////////////////////////////////
// CVc6imap4Dlg _CAO

class CVc6imap4Dlg : public CDialog
{
// \z
public:
	CSplitter *m_splitter;
	CPanel *m_panel;
	CVc6imap4Dlg(CWnd* pParent = NULL);	// W̃RXgN^

// _CAO f[^
	//{{AFX_DATA(CVc6imap4Dlg)
	enum { IDD = IDD_VC6IMAP4_DIALOG };
	CTreeEx	m_tree_mailbox;
	//}}AFX_DATA

	// ClassWizard ͉z֐̃I[o[Ch𐶐܂B
	//{{AFX_VIRTUAL(CVc6imap4Dlg)
	public:
	virtual BOOL DestroyWindow();
	virtual BOOL PreTranslateMessage(MSG* pMsg);
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV ̃T|[g
	virtual void PostNcDestroy();
	//}}AFX_VIRTUAL

// Cve[V
protected:
	HICON m_hIcon;

	// ꂽbZ[W }bv֐
	//{{AFX_MSG(CVc6imap4Dlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	virtual void OnOK();
	virtual void OnCancel();
	afx_msg void OnCreate();
	afx_msg void OnDelete();
	afx_msg void OnExit();
	afx_msg void OnOption();
	afx_msg void OnRe();
	afx_msg void OnRead();
	afx_msg void OnInitMenuPopup(CMenu* pPopupMenu, UINT nIndex, BOOL bSysMenu);
	afx_msg void OnUpdateRe(CCmdUI* pCmdUI);
	afx_msg void OnUpdateDelete(CCmdUI* pCmdUI);
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg void OnSelchangedTreeMailbox(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnRclickTreeMailbox(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnCreateMailbox();
	afx_msg void OnUpdateCreateMailbox(CCmdUI* pCmdUI);
	afx_msg void OnDeleteMailbox();
	afx_msg void OnUpdateDeleteMailbox(CCmdUI* pCmdUI);
	afx_msg void OnRenameMailbox();
	afx_msg void OnUpdateRenameMailbox(CCmdUI* pCmdUI);
	afx_msg void OnEndlabeleditTreeMailbox(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnBeginlabeleditTreeMailbox(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnProperty();
	afx_msg void OnUpdateProperty(CCmdUI* pCmdUI);
	afx_msg void OnOpenFile();
	afx_msg void OnUpdateOpenFile(CCmdUI* pCmdUI);
	afx_msg void OnSaveFile();
	afx_msg void OnUpdateSaveFile(CCmdUI* pCmdUI);
	afx_msg void OnClickTreeMailbox(NMHDR* pNMHDR, LRESULT* pResult);
	//}}AFX_MSG
	afx_msg LRESULT OnPanelCommand(WPARAM wParam, LPARAM lParam);
	afx_msg LRESULT OnCopyMailbox(WPARAM wParam, LPARAM lParam);
	DECLARE_MESSAGE_MAP()

	BOOL DeleteChildMailbox(HTREEITEM ht, BOOL flag);
	BOOL CheckSetting();
	BOOL GetMailBoxTree();
	CString m_current_path;
	CBrush m_body_brush;
	CString m_ini_path;
	void WriteIni();
	void ReadIni();
	void DoEvents();
	BOOL Authenticate();
	SOCKET m_socket;
	int m_auth;
	CString m_smtp;
	CString m_mail_address;
	CString m_imap4;
	CString m_id;
	CString m_password;
	CString m_mailbox;
	CString m_trash;
	CString m_sent;
	CImageList m_image_list;
	int m_timer;
	void OpenAttachFile();
	void AppendSent(CString to, CString subject, CString body, CString attach);
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ ͑Os̒Oɒǉ̐錾}܂B

#endif // !defined(AFX_VC6IMAP4DLG_H__5A44A540_A30E_4CA9_A829_A480420E0969__INCLUDED_)
